QGIS Application - Bug report #3500
fTools: unsufficient field width for Area and Perimeter fields
2011-02-18 01:10 AM - Enrico Fiore

Status: Closed

Priority: Low

Assignee: Alexander Bruy

Category: Processing/QGIS

Affected QGIS version: Regression?:

Operating System: All Easy fix?:

Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 13560
Description

Hi,

| try to calculate area with ftools add geometry column. | have noted that in automatic new field “AREA” have this properties type=real
lenght=10 > precision=6, this involve an error, some numbers are lost, because the Area number have lenght>10.

Example: if | calculate Piedmont area with Ftools obtain 2539107283

if | calculate the same Area , add new column (type real lenght=20

precision=5) and use calc field ($area) | obtain 25391072834.9971.

Associated revisions

Revision cbbb79f8 - 2011-04-17 07:49 AM - Alexander Bruy

extend default field width in fTools Export/Add Geometry column to fix #3500

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@15739 ¢8812cc2-4d05-0410-92ff-de0c093fc19¢c

Revision 3c0f834e - 2011-04-17 07:49 AM - Alexander Bruy

extend default field width in fTools Export/Add Geometry column to fix #3500

git-svn-id: http://svn.osgeo.org/qgis/trunk@15739 ¢8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2011-02-18 03:35 AM - Giovanni Manghi

it happens also under linux/trunk

#2 - 2011-04-16 10:38 PM - Alexander Bruy

- Status changed from Open to In Progress

#3 - 2011-04-16 10:49 PM - Alexander Bruy

Well, | extend field width for AREA, PERIMETER, XCOORD and YCOORD in commit:3c0f834e (SVN r15740).

But | think it is better to allow users select desired field width and precision. Unfortunately now we are in string and feature freeze, so I'll add this after 1.7
#4 - 2011-04-16 10:50 PM - Alexander Bruy
- Resolution set to fixed
- Status changed from In Progress to Closed

#5 - 2017-05-01 01:23 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
